#
#  common.inc - The James Ladd Code Library.
#  Defines items that are independant of both platforms.
#
#  Copyright (c) 2006 James Ladd.
#  http://www.hyperserve.org
#
#  Please read the LICENSE file.
#
.ifdef NOP4
    .print "Not Assembling for a Pentium 4 so no branch hints are used."
    .macro hintbranch
    .endm

    .macro hintnobranch
    .endm
.else
    .macro hintbranch
        .byte 0x3e
    .endm

    .macro hintnobranch
        .byte 0x2e
    .endm
.endif

.macro MAKELONG hi,lo
    dword ptr ((\hi shl 16) + \lo)
.endm

